#include <bits/stdc++.h>
   
#define int long long
   
using namespace std;
  
int ans = 0;
  
void rec(int h, int w, int k) {
    ans += h * w * k;
	if(h > w) {
		swap(h, w);
	}    
	if(w > 1) {
        rec(h, w - 1, k);
		rec(h, 1, k);
    }
}
 
main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    int h, w;
    cin >> h >> w;
    rec(h, w, 1);
    cout << ans;
}